aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Herring <robh@kernel.org>2018-06-15 15:37:14 -0600
committerDavid Gibson <david@gibson.dropbear.id.au>2018-06-17 21:39:07 +1000
commit9d78c33bf8a122eb3a97934e71b8c651cc1b1e4b (patch)
tree304b9a1c25507f4dd906f1d07cf6e5638a456db5
parentb770f3d1c13f63a22c7015bd2438dbc1164b5362 (diff)
downloaddtc-9d78c33bf8a122eb3a97934e71b8c651cc1b1e4b.zip
dtc-9d78c33bf8a122eb3a97934e71b8c651cc1b1e4b.tar.gz
dtc-9d78c33bf8a122eb3a97934e71b8c651cc1b1e4b.tar.bz2
tests: fix grep for checks error messages
I noticed the error type passed in didn't matter for check tests to pass. There's a couple of problems with the grep regex. The error/warning messages begin with the output filename now, so "ERROR" or "Warning" is not at the beginning of the line. Secondly, the parentheses seem to be wrong. It's not clear to me what was intended. Signed-off-by: Rob Herring <robh@kernel.org> Signed-off-by: David Gibson <david@gibson.dropbear.id.au>
-rwxr-xr-xtests/dtc-checkfails.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/dtc-checkfails.sh b/tests/dtc-checkfails.sh
index 76ded15..7319597 100755
--- a/tests/dtc-checkfails.sh
+++ b/tests/dtc-checkfails.sh
@@ -30,13 +30,13 @@ ret="$?"
FAIL_IF_SIGNAL $ret
for c in $YESCHECKS; do
- if ! grep -E "^(ERROR)|(Warning) \($c\):" $LOG > /dev/null; then
+ if ! grep -E "(ERROR|Warning) \($c\):" $LOG > /dev/null; then
FAIL "Failed to trigger check \"$c\""
fi
done
for c in $NOCHECKS; do
- if grep -E "^(ERROR)|(Warning) \($c\):" $LOG > /dev/null; then
+ if grep -E "(ERROR|Warning) \($c\):" $LOG > /dev/null; then
FAIL "Incorrectly triggered check \"$c\""
fi
done